import appModuleHandler
import shellapi
from logHandler import log
import os
import os.path
import subprocess

WordAccessApp = ""

class AppModule(appModuleHandler.AppModule):

  def __init__(self, *args, **kwargs):
    super(AppModule, self).__init__(*args, **kwargs)
    global WordAccessApp
    WordAccessApp = os.path.join(os.path.dirname(__file__), "files", "project1.exe")
  
  def WordAccess(self, cmd = ""):
    global WordAccessApp
    if os.path.isfile(WordAccessApp): 
      subprocess.call([WordAccessApp, cmd])
    
  def script_InfoFont(self, gesture):
    self.WordAccess("InfoFont")
  def script_FootNote(self, gesture):
    self.WordAccess("FootNote")
  def script_InfoParJustify(self, gesture):
    self.WordAccess("InfoParJustify")
  def script_InfoFontUnder(self, gesture):
    self.WordAccess("InfoFontUnder")
  def script_InfoFontItalic(self, gesture):
    self.WordAccess("InfoFontItalic")
  def script_InfoFontBold(self, gesture):
    self.WordAccess("InfoFontBold")
  def script_InfoIndex(self, gesture):
    self.WordAccess("InfoIndex")
  def script_InfoIns(self, gesture):
    self.WordAccess("InfoIns")
  def script_Tabs(self, gesture):
    self.WordAccess("Tabs")
  def script_ReadBlock(self, gesture):
    self.WordAccess("ReadBlock")
  def script_BlockEnd(self, gesture):
    self.WordAccess("BlockEnd")
  def script_BlockStart(self, gesture):
    self.WordAccess("BlockStart")
  def script_InfoBorders(self, gesture):
    self.WordAccess("InfoBorders")
  def script_InfoStyle(self, gesture):
    self.WordAccess("InfoStyle")
  def script_InfoPar(self, gesture):
    self.WordAccess("InfoPar")
  def script_InfoBlock(self, gesture):
    self.WordAccess("InfoBlock")
  def script_InfoDoc(self, gesture):
    self.WordAccess("InfoDoc")
  def script_InfoPosition(self, gesture):
    self.WordAccess("InfoPosition")
  def script_InfoLang(self, gesture):
    self.WordAccess("InfoLang")
   

  __gestures={
      "kb:alt+F":"InfoFont",
      "kb:control+shift+P": "FootNote",
      "kb:F4": "ReadBlock",
      "kb:F8": "BlockEnd",
      "kb:F7": "BlockStart",
      "kb:alt+S": "InfoBorders",
      "kb:alt+T": "InfoStyle",
      "kb:alt+O": "InfoPar",
      "kb:alt+B": "InfoBlock",
      "kb:alt+P": "InfoDoc",
      "kb:alt+J": "InfoLang",
      "kb:F2": "InfoPosition"
    }
  """
      "kb:control+shift+F": "InfoFontUnder",
      "kb:control+shift+F": "InfoFontItalic",
      "kb:control+shift+F": "InfoFontBold",
      "kb:control+shift+F": "InfoIndex",
      "kb:control+shift+F": "InfoIns",
      "kb:control+shift+F": "Tabs",
      """